/**
 * @fileOverview Bonusový příklad – skript příkladu Nápověda.
 * V tomto skriptu se nachází komentáře ve formátu dokumentačních bloků
 * nástroje JsDoc Toolkit.
 * Oficiální stránky projektu JsDoc Toolkit jsou k dispozici na adrese
 * http://code.google.com/p/jsdoc-toolkit/.
 * @author Ondřej Baše
 */
 
/**
 * Anonymní jmenný prostor pro funkčnost našeho skriptu.
 * @param Object $ Objekt jQuery.
 * @namespace
 */
(function($) {

/**
 * Inicializace skriptu po načtení modelu DOM.
 */
$(function() {
  // Inicializace vlastního nástroje Hint. Vzhledem k tomu, že nezadáváme
  // možnost nastavení text, tak se zobrazí hodnota atributu title.
  $('#jmeno').hint();

  // Inicializace nástroje Hint s textem nápovědy "Sem zadejte příjmení".
  $('#prijmeni').hint({
    text: 'Sem zadejte příjmení'
  });

  // Použití metody option v reakci na událost click.
  $('#nastav-metodou-option').click(function() {
    $('#jmeno, #prijmeni').hint('option', 'text', generujNahodneCislo());
    return false;
  });

  // Použití metody text v reakci na událost click.
  $('#nastav-metodou-text').click(function() {
    $('#jmeno, #prijmeni').hint('text', generujNahodneCislo());
    return false;
  });

  // Použití metody destroy v reakci na událost click.
  $('#zrus-hint').click(function() {
    $('#jmeno, #prijmeni').hint('destroy');
    return false;
  });
});

/**
 * Generuje náhodné číslo v rozmezí 0 až 1 000 000.
 * @returns int Náhodné číslo.
 */
function generujNahodneCislo() {
  return Math.round(Math.random() * 1000000);
}

})(jQuery);